<?php

class Sitecontent extends CActiveRecord
{
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function tableName()
	{
		return 'sitecontent';
	}

	public function rules()
	{
		return array(
			array('position, title, content', 'required'),
			array('position, sort, authorid, createtime, updatetime', 'numerical', 'integerOnly'=>true),
			array('title', 'length', 'max'=>255),
			array('idsitecontent, position, sort, title, content, authorid, createtime, updatetime', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
			'position' => array(self::BELONGS_TO, 'Menustructure', 'position'),
		);
	}

	public function draw() 
	{
		echo "<h1>" . $this->title . "</h1>";
		echo $this->content;
	}

	public function attributeLabels()
	{
		return array(
			'idsitecontent' => '#',
			'position' => Yii::t('CmsModule.cms', 'Position'),
			'sort' => Yii::t('CmsModule.cms', 'Sort'),
			'title' => Yii::t('CmsModule.cms', 'Title'),
			'content' => Yii::t('CmsModule.cms', 'Content'),
			'authorid' => Yii::t('CmsModule.cms', 'Authorid'),
			'createtime' => Yii::t('CmsModule.cms', 'Createtime'),
			'updatetime' => Yii::t('CmsModule.cms', 'Updatetime'),
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('idsitecontent',$this->idsitecontent);

		$criteria->compare('position',$this->position);

		$criteria->compare('sort',$this->sort);

		$criteria->compare('title',$this->title,true);

		$criteria->compare('content',$this->content,true);

		$criteria->compare('authorid',$this->authorid);

		$criteria->compare('createtime',$this->createtime);

		$criteria->compare('updatetime',$this->updatetime);

		return new CActiveDataProvider('Sitecontent', array(
			'criteria'=>$criteria,
		));
	}
}
